## gedit-valencia-plugin 0.3.0

=== Makefile ===
PLUGIN = valencia

# The version number appears here and also in valencia.gedit-plugin.
VERSION = 0.3.0

VALAC = valac

SOURCES = autocomplete.vala browser.vala expression.vala gtk_util.vala parser.vala program.vala \
          scanner.vala settings.vala util.vala valencia.vala
 
PACKAGES = --pkg gedit-2.20 --pkg gee-1.0 --pkg gtk+-2.0 --pkg vala-1.0 --pkg vte

PACKAGE_VERSIONS = \
    gedit-2.20 >= 2.24.0 \
    gee-1.0 >= 0.1.3 \
    gtk+-2.0 >= 2.14.4 \
    vala-1.0 >= 0.7.10 \
    vte >= 0.17.4

OUTPUTS = libvalencia.so valencia.gedit-plugin

DIST_FILES = $(SOURCES) \
             Makefile \
             gedit-2.20.deps gedit-2.20.vapi valencia.png \
             valencia.gedit-plugin valencia.gedit-plugin.m4 \
             AUTHORS COPYING INSTALL NEWS README THANKS
DIST_TAR = $(PLUGIN)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz

ICON_DIR = ~/.local/share/icons/hicolor/128x128/apps

all: valencia.gedit-plugin libvalencia.so
	

valencia.gedit-plugin: valencia.gedit-plugin.m4 Makefile
	m4 -DVERSION='$(VERSION)' valencia.gedit-plugin.m4 > valencia.gedit-plugin

libvalencia.so: $(SOURCES) Makefile
	@ pkg-config --print-errors --exists '$(PACKAGE_VERSIONS)'
	$(VALAC) $(VFLAGS) -X --shared -X -fPIC --vapidir=. $(PACKAGES) $(SOURCES) -o $@

install: libvalencia.so valencia.gedit-plugin
	@ [ `whoami` != "root" ] || ( echo 'Run make install as yourself, not as root.' ; exit 1 )
	mkdir -p ~/.gnome2/gedit/plugins
	cp $(OUTPUTS) ~/.gnome2/gedit/plugins
	mkdir -p $(ICON_DIR)
	cp -p valencia.png $(ICON_DIR)

uninstall:
	rm -f $(foreach o, $(OUTPUTS), ~/.gnome2/gedit/plugins/$o)
	rm -f $(ICON_DIR)/valencia.png

parser:  expression.vala parser.vala program.vala scanner.vala util.vala
	$(VALAC) $(VFLAGS) --pkg vala-1.0 --pkg gtk+-2.0 $^ -o $@

dist: $(DIST_FILES)
	mkdir -p $(PLUGIN)-$(VERSION)
	cp --parents $(DIST_FILES) $(PLUGIN)-$(VERSION)
	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PLUGIN)-$(VERSION)
	tar --gzip -cvf $(DIST_TAR_GZ) $(PLUGIN)-$(VERSION)
	rm -rf $(PLUGIN)-$(VERSION)

clean:
	rm -f $(SOURCES:.vala=.c) $(SOURCES:.vala=.h) *.so
	rm -f valencia.gedit-plugin

=== debian/changelog ===
gedit-valencia-plugin (0.3.0-1ubuntu1) natty; urgency=low

  * debian/control, debian/patches/01_valac_transition.patch:
    - Transition from libvala-dev -> libvala-0.10-dev and valac -> valac-0.10. (LP: #703615)
  * debian/control:
    - Build-Depends on libtool since it's required for autoconf.
  * debian/rules: Run autoreconf before building.

 -- Mahyuddin Susanto <udienz@gmail.com>  Wed, 19 Jan 2011 12:09:13 +0100

gedit-valencia-plugin (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #597660)

 -- David Paleino <dapal@debian.org>  Wed, 22 Sep 2010 00:50:45 +0200

=== debian/control ===
Source: gedit-valencia-plugin
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
 , gedit-dev
 , libvte-dev
 , libgee-dev
 , libvala-0.10-dev
 , valac-0.10
 , m4
 , libtool
Standards-Version: 3.9.1
Homepage: http://yorba.org/valencia/
Vcs-Git: git://git.debian.org/collab-maint/gedit-valencia-plugin.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gedit-valencia-plugin.git;a=summary

Package: gedit-valencia-plugin
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
Description: Vala plugin for gedit
 Valencia is a gedit plugin that turns gedit into a lightweight IDE for Vala.
 Using Valencia, you can easily browse between symbols in a Vala program.  You
 can build a Vala program inside gedit and can easily jump to lines with
 build errors. You can also get tooltips for methods and get autocompletion
 suggestions by invoking autocomplete in the appropriate context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	# do nothing

pre-build::
	autoreconf -f -i -v

## gedit-valencia-plugin 0.4.0

=== Makefile ===
PLUGIN = valencia

# The version number appears here and also in valencia.plugin.
VERSION = 0.4.0

VALAC = valac
VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
MIN_VALAC_VERSION := 0.17.1
MAX_VALAC_VERSION := 0.19.0

SOURCES = autocomplete.vala browser.vala expression.vala gtk_util.vala parser.vala program.vala \
          scanner.vala settings.vala util.vala valencia.vala
 
PACKAGES = --pkg gedit --pkg gee-1.0 --pkg gtk+-3.0 --pkg gtksourceview-3.0 \
           --pkg libpeas-1.0 --pkg libvala-0.18 --pkg vte-2.90

PACKAGE_VERSIONS = \
    gedit >= 2.91.0 \
    gee-1.0 >= 0.1.3 \
    gtksourceview-3.0 >= 3.0.0 \
    gtk+-3.0 >= 3.0.0 \
    libvala-0.18 >= 0.17.1 \
    vte-2.90 >= 0.27.90

OUTPUTS = libvalencia.so valencia.plugin

DIST_FILES = $(SOURCES) \
             Makefile \
             valencia.png \
             valencia.plugin valencia.plugin.m4 \
             chkver \
             AUTHORS COPYING INSTALL NEWS README THANKS
DIST_TAR = $(PLUGIN)-$(VERSION).tar
DIST_TAR_XZ = $(DIST_TAR).xz

ICON_DIR = ~/.local/share/icons/hicolor/128x128/apps

all: valacheck valencia.plugin libvalencia.so

.PHONY: valacheck
valacheck:
	@ $(VALAC) --version >/dev/null 2>/dev/null || ( echo 'Valencia requires Vala compiler $(MIN_VALAC_VERSION) or greater.  No valac found in path or $$VALAC.'; exit 1 )
	@ ./chkver min $(VALAC_VERSION) $(MIN_VALAC_VERSION) || ( echo 'Valencia requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 )
	$(if $(MAX_VALAC_VERSION),\
		@ ./chkver max $(VALAC_VERSION) $(MAX_VALAC_VERSION) || ( echo 'Shotwell cannot be built by Vala compiler $(MAX_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 ),)

valencia.plugin: valencia.plugin.m4 Makefile
	@ type m4 > /dev/null || ( echo 'm4 is missing and is required to build Valencia. ' ; exit 1 )
	m4 -DVERSION='$(VERSION)' valencia.plugin.m4 > valencia.plugin

libvalencia.so: $(SOURCES) Makefile
	@ pkg-config --print-errors --exists '$(PACKAGE_VERSIONS)'
	$(VALAC) $(VFLAGS) -X --shared -X -fPIC $(PACKAGES) $(SOURCES) -o $@

install: libvalencia.so valencia.plugin
	@ [ `whoami` != "root" ] || ( echo 'Run make install as yourself, not as root.' ; exit 1 )
	mkdir -p ~/.local/share/gedit/plugins
	cp $(OUTPUTS) ~/.local/share/gedit/plugins
	mkdir -p $(ICON_DIR)
	cp -p valencia.png $(ICON_DIR)

uninstall:
	rm -f $(foreach o, $(OUTPUTS), ~/.local/share/gedit/plugins/$o)
	rm -f $(ICON_DIR)/valencia.png

parser:  expression.vala parser.vala program.vala scanner.vala util.vala
	$(VALAC) $(VFLAGS) --pkg vala-1.0 --pkg gtk+-2.0 $^ -o $@

dist: $(DIST_FILES)
	mkdir -p $(PLUGIN)-$(VERSION)
	cp --parents $(DIST_FILES) $(PLUGIN)-$(VERSION)
	tar --xz -cvf $(DIST_TAR_XZ) $(PLUGIN)-$(VERSION)
	rm -rf $(PLUGIN)-$(VERSION)

clean:
	rm -f $(SOURCES:.vala=.c) $(SOURCES:.vala=.h) *.so
	rm -f valencia.plugin

=== debian/changelog ===
gedit-valencia-plugin (0.4.0-0ubuntu3) saucy; urgency=low

  * Bump dh compat level to 9
  * Use dh-exec to update .install for multiarch directories
  * Drop unnecessary and obsolete debian/dirs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 14 Jul 2013 01:08:58 -0400

gedit-valencia-plugin (0.4.0-0ubuntu2) saucy; urgency=low

  * debian/patches/build-against-gedit38.patch:
    - Patch from git to fix compatibility with gedit 3.8 
  * debian/control: Bump depends to vala-0.20 as needed for above patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Jun 2013 19:18:37 -0400

gedit-valencia-plugin (0.4.0-0ubuntu1) raring; urgency=low

  * New upstream version, compatible with the current vala and gedit, 
    dropping patches for issues fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 Apr 2013 22:42:40 +0200

gedit-valencia-plugin (0.3.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: GModule-2.0.gir:46.7-46.66: error: unknown child element
    `function' in `record'": apply patch from Ubuntu / Colin Watson:
    - Build with Vala 0.14 (LP: #831183).
    (Closes: #650228)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Feb 2012 19:00:29 +0100

gedit-valencia-plugin (0.3.0-3) unstable; urgency=low

  * Fix package section, according to FTPMasters' override, from
    devel to utils
  * Backported gedit-3 support from upstream (Closes: #635122)
    (LP: #825763, #831183)
  * Fix debian/install file for the new gedit-3 paths

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 15:24:05 +0200

gedit-valencia-plugin (0.3.0-2) unstable; urgency=low

  * Package moved to section devel
  * Port to vala-0.10 (01-fix_vala_dependencies.patch)
  * Bump dependencies to use vala-0.10

 -- David Paleino <dapal@debian.org>  Sat, 05 Mar 2011 10:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
- , gedit-dev
- , libvte-dev
+Build-Depends: debhelper (>= 9~)
+ , dh-exec (>=0.3)
+ , gedit-dev (>= 2.91.0)
+ , libvte-2.90-dev (>= 0.27.90)
+ , libpeas-dev
  , libgee-dev
- , libvala-0.10-dev
- , valac-0.10
+ , libvala-0.20-dev (>= 0.17.1)
+ , valac-0.20 (>= 0.20.1)
  , m4
- , libtool
 Standards-Version: 3.9.1
 Homepage: http://yorba.org/valencia/
 Vcs-Git: git://git.debian.org/collab-maint/gedit-valencia-plugin.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 
 override_dh_auto_install:
 	# do nothing
-
-pre-build::
-	autoreconf -f -i -v

=== debian/watch ===
version=3
http://yorba.org/download/valencia/(\d+.*)/valencia-(\d+.*)\.tar\.bz2

## gedit-valencia-plugin 0.8.0

=== debian/changelog ===
gedit-valencia-plugin (0.8.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on gedit-dev, libvala-0.24-dev, valac-0.24,
      libgee-0.8-dev
    - Add missing build-depends on libgtksourceview-3.0-dev
  * debian/watch:
    - Update to GNOME location (LP: #1251052)
  * debian/patches/build-against-gedit38.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Jun 2015 10:30:06 +1200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
 Build-Depends: debhelper (>= 9~)
  , dh-exec (>=0.3)
  , gedit-dev (>= 2.91.0)
+ , gedit-dev (<= 3.10.5~)
  , libvte-2.90-dev (>= 0.27.90)
  , libpeas-dev
- , libgee-dev
- , libvala-0.20-dev (>= 0.17.1)
- , valac-0.20 (>= 0.20.1)
+ , libgee-0.8-dev
+ , libgtksourceview-3.0-dev (>= 3.0.0) 
+ , libvala-0.24-dev
+ , valac-0.24 (>= 0.20.1)
  , m4
 Standards-Version: 3.9.1
 Homepage: http://yorba.org/valencia/

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/valencia/([\d\.]+)/valencia-([\d\.]+)\.tar\.xz
